WMTIME(1)

NAME
wmtime - Window Maker dockapp that displays the time and date

SYNOPSIS

wmtime [ OPTION ]

DESCRIPTION

WMTime displays the time and date and gives you some nice additional features too. It is intended for docking in Window Maker.

It currently provides:

•   the time and date;

•   a realtime morphing interface (analog <> digital mode);

•   auto-scaled and anti-aliased hands;

•   localization, displaying the day and date in various languages;

•   three user-defined commands to launch.

OPTIONS

-d, -digital
    Display the digital clock on startup, instead of the analog clock.

-display display
    This option specifies the X server to contact; see X(7x).

-geometry geometry
    This option specifies the preferred position of clock; see X(7x).

-n, -noseconds
    Disables the second hand.

-l locale
    Specify locale.

-h  Show help information.

-v  Print the version number.

-c  Set color.

USAGE
The WMTime window is separated into top and bottom sections. The top section contains a clock and the bottom section contains the date.

The clock can be toggled between analog and digital modes. To do this, click in the bottom section of the window.

WMTime can also be used to launch programs. You may click either left, middle, or right mouse buttons in the top section of the window. The pre-configured program will be launched according to the mouse button clicked. (see CONFIGURATION FILE below.)

In order to move WMTime, drag on the outer edges. These are not sensitive to mouse clicks.

DOCKING IN WINDOW MANAGERS

Window Maker

    Window Maker users should drag and drop the WMTime window on the Dock. Then, right-click on the border of the window and select “Settings...”. Check “Start when Window Maker is started”.

AfterStep

    AfterStep users should put the following in their $HOME/.steprc

    Wharf wmtime - MaxSwallow "wmtime" wmtime &

Other window managers

    WMTime runs nicely as a 64x64 shaped icon on your desktop.

CONFIGURATION FILE

WMTime can launch three user-defined commands, triggered by left, middle and right mouse button clicks. You can define the commands to launch in $HOME/.wmtimerc

    left: xterm
    middle: xload
    right: xcalc

If WMTime detects a $HOME/.wmtimerc file, it will launch the appropriate command when you click on the clock.

The system administrator can define default commands in /etc/wmtimerc. The administrator may also choose to “fix” particular commands, making it impossible for users to change. These commands can be defined in /etc/wmtimerc.fixed, although this isn't a nice thing to do.

FILES

/etc/wmtimerc
$HOME/.wmtimerc
/etc/wmtimerc.fixed

AUTHORS

WMTime was written by Martijn Pieterse and Antoine Nulle.

This manual page was written by Simon Law <sfllaw@debian.org> for the Debian system (but may be used by others). It is based on the documentation provided by the original program.

This manual is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.